#!/usr/bin/env python2
import MySQLdb
from time import asctime
from string import join
import auth

def entit(costam):
	nowystring = costam.replace("&","&amp;")
	return nowystring

x=auth.PyRssConf()
dbhost=x.dbhost()
dbuser=x.dbuser()
database=x.database()
dbpassword=x.dbpassword()
db=MySQLdb.connect(host=dbhost,user=dbuser,passwd=dbpassword,db=database)


c=db.cursor()
c.execute("select name,url from addressess order by name;")
lista=c.fetchall()
plik = open("html.0head")
plik0 = join(plik.readlines(),"\n")
plik.close()
plik = open("html.2foot")
plik1 = join(plik.readlines(),"\n")
plik.close()
plik = ""
plik += plik0
plik += """
<table>
	"""
for i in lista:
	plik += """
	<tr>
		<td>"""+str(i[0])+"""</td>
		<td><a href='"""+str(i[1])+"""'>"""+str(i[1])+"""</a></td>
	</tr>"""
plik += """
</table>
Generated at:"""+asctime()+str(plik1)
print plik
